Description

| changed /etc/Idap.conf but the services use nslcd. | tried to reconfigure it, but the connection to the Idap server fails.

Also need to automate all the Idap pam configuration, that spans from /etc/pam.d/* to /etc/nsswitch.conf

Related issues:
Related to D4Science Infrastructure - Task #4865: Installing data analysis ma... Closed Aug 22, 2016

History

#1 - Aug 09, 2016 10:24 AM - Andrea Dell'Amico

A reference to a workaround for a problem that affects ubuntu 14.04:
https://www.benjaminfleckenstein.name/en/pam-auth-update-automatisation-workaround.html

#2 - Sep 08, 2016 11:39 AM - Andrea Dell'Amico
- Blocks Task #4865: Installing data analysis machine to develop prototypes added

#3 - Sep 08, 2016 03:05 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- Assignee changed from _InfraScience Systems Engineer to Andrea Dell'’Amico

#4 - Oct 08, 2016 12:41 PM - Andrea Dell'Amico
- Blocks deleted (Task #4865: Installing data analysis machine to develop prototypes)

#5 - Oct 08, 2016 12:42 PM - Andrea Dell'Amico
- Related to Task #4865: Installing data analysis machine to develop prototypes added

#6 - Oct 08, 2016 12:44 PM - Andrea Dell'Amico

The Idap authentication against the new Idap server is working correctly on dataminer1-prototype, see #4865.
Let me know when | can change the Idap configuration on the rstudio servers. 30/60 minutes of service unavailability are to be expected.

#7 - Oct 18, 2016 02:44 PM - Andrea Dell'Amico
- % Done changed from 0 to 90

rstudio-dev was also migrated. The rstudio Idap configuration was changed, at the next reboot it will be effective.

#8 - Oct 20, 2016 08:04 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

rstudio.d4science.org is now authenticating against Idap.d4science.org. While rstudio-dev.d4science.org is authenticating against
ldap-d.d4science.org

#9 - Oct 21, 2016 02:32 PM - Andrea Dell'Amico

As | wrote by email, | don't know why the r-connector script that adds users creates local users if they're not available via Idap.
If the portal is the only way to access the rstudio services should be better to not add local users at all and rely on the Idap authentication only.
https://www.benjaminfleckenstein.name/en/pam-auth-update-automatisation-workaround.html
https://redmine.dev.d4science.org/issues/4865

Now the users situation is mixed up: some are local, some are Idap only.
Cleaning up is possible: it's a matter of removing the local users and changing the ownership of their home directories to the Idap userid. And
restarting the rstudio service, after that.

#10 - Oct 27, 2016 06:11 PM - Andrea Dell'Amico

| cleaned up all the local users. Now all the users authenticate against Idap.

#11 - Oct 27, 2016 06:12 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed
